cohere.embed-v4:0 API on AvalAI
cohere.embed-v4:0cohere.embed-v4:0 is an AI model from Cohere that is available through AvalAI's OpenAI-compatible API.
Use cohere.embed-v4:0 with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "cohere.embed-v4:0", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="cohere.embed-v4:0",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "cohere.embed-v4:0",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Image embeddings
cohere.embed-v4:0 rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 3 | 40,000 |
| Tier 1 | 10 | 80,000 |
| Tier 2 | 20 | 140,000 |
| Tier 3 | 50 | 200,000 |
| Tier 4 | 60 | 250,000 |
| Tier 5 | 80 | 300,000 |
Related models
Frequently asked questions
What is the cohere.embed-v4:0 API on AvalAI?
Create an AvalAI API key and send the model ID cohere.embed-v4:0 to one of the supported endpoints shown on this page.
How much does the cohere.embed-v4:0 API cost on AvalAI?
The cohere.embed-v4:0 API on AvalAI costs $0.12 per 1M input tokens and $0.00 per 1M output tokens.
What is the token cost for cohere.embed-v4:0?
Current AvalAI pricing for cohere.embed-v4:0 is $0.12 / 1M tokens for input and $0.00 / 1M tokens for output.
What is the cohere.embed-v4:0 context window?
The recorded maximum input context for cohere.embed-v4:0 is 128,000 tokens.
What are the rate limits for cohere.embed-v4:0 on AvalAI?
On tier 5, cohere.embed-v4:0 on AvalAI supports up to 80 requests per minute and 300,000 tokens per minute.
What features does cohere.embed-v4:0 support on AvalAI?
cohere.embed-v4:0 on AvalAI supports Image embeddings.
What account tier is required to use cohere.embed-v4:0 on AvalAI?
Calling cohere.embed-v4:0 on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)